| Home | Libraries | People | FAQ | More

##### io_service::poll (1 of 2 overloads)

Run the `io_service` object's event processing loop to execute ready handlers.

    std::size_t poll();

The `poll()` function runs handlers that are ready to run, without blocking, until the `io_service` has been stopped or there are no more ready handlers.

###### Return Value

The number of handlers that were executed.

###### Exceptions

boost::system::system_error

  Thrown on failure.